Subject: Re: Mirosoft Interix contains Cygwin
From: Jeff Sturm <[email-masked]>
To: DJ Delorie <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 11 Apr 2000 16:43:43 -0400

DJ Delorie wrote:
> 
> > The April 2000 distribution of MSDN Universal Subscription contains
> > Microsoft Interix 2.2.
> 
> Cool!  Now even Microsoft is seeing the benefits of open source software.

I have a copy of OpenNT 2.1 around here somewhere... before it was
renamed to Interix, long before Microsoft purchased Interix.  It
contains the same gcc compiler.

Interesting to see that Microsoft hasn't killed that part of Interix
yet.

I don't know why "cygnus" appears in their directory tree... though it
is possible they had once contracted Cygnus to do the Interix port.

> Plus, the i386-pc-opennt directory means that they *had* to rebuild
> gcc from source, targetting their system.  This means that there are
> now five wintel gccs - emx, djgpp, cygwin, mingw, and now interix.
> The cygwin-* directory is just the version number, and there's no
> reason why they couldn't start with sources from an old cygwin.

Six... you forgot "uwin" ;)

> But, if they are making sources available on the web, then they're
> following the GPL more than the people we had to grant cygwin
> exceptions to for binary-only distributions of "popular" packages.

They do provide a patchfile + sources on their ftp site, or at least
used to... I once downloaded them when I had to rebuild the compiler.

-- 
Jeff Sturm
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]